#pragma semicolon 1
#include <sourcemod>

public Plugin:myinfo = 
{
	name	= "Disable Chat",
	author	= "wS / Schmidt",
	version	= "1.2",
	url		= "http://world-source.ru/"
};

new Handle:wS;
new String:g_Text[75];

public OnPluginStart()
{
	new Handle:file = OpenFile("chat_commands.txt", "r");
	if (file == INVALID_HANDLE)
	{
		SetFailState("Failed to open cstrike/chat_commands.txt");
		return;
	}
	wS = CreateTrie();
	decl String:command[75];
	while (!IsEndOfFile(file) && ReadFileLine(file, command, 75))
	{
		TrimString(command);
		if (strlen(command) > 0) SetTrieValue(wS, command, 1);
	}
	CloseHandle(file);
	if (GetTrieSize(wS) < 1)
	{
		SetFailState("cstrike/chat_commands.txt empty");
		return;
	}

	AddCommandListener(SayHook, "say");
	AddCommandListener(SayHook, "say_team");
}

public Action:SayHook(client, const String:command[], args)
{
	if (client > 0 && args > 0)
	{
		GetCmdArgString(g_Text, 75);
		StripQuotes(g_Text);
		decl x;
		if (!GetTrieValue(wS, g_Text, x)) return Plugin_Handled;
	}
	return Plugin_Continue;
}